### Method

# Aravis GcRegister dup

since: 0.8.31

#### Declaration [src]

    void*
    arv_gc_register_dup (
      ArvGcRegister* gc_register,
      guint64* length,
      GError** error
    )

#### Description

No description available.

Available since: 0.8.31

#### Parameters

`length`

  Type: `guint64*`

  Register length.

  The argument will be set by the function.
  The argument can be `NULL`.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `void*`

The register feature content, must be freed using `g_free()`.

The returned data is owned by the instance.
The return value can be `NULL`.